Summary:	GPL network bootloader
Name:		gpxe
Version:	1.0.1
Release:	%mkrel 1
License:	GPL
Group: 		Networking/Other
Source0:	http://kernel.org/pub/software/utils/boot/gpxe/%{name}-%{version}.tar.xz
URL:		http://etherboot.org/
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
gPXE is an open source (GPL) network bootloader. It provides a direct
replacement for proprietary PXE ROMs, with many extra features such as
DNS, HTTP, iSCSI, etc. In generally, gPXE is compatible with the
industry-standard PXE specification, and also supports Etherboot
.nbi file loading. gPXE evolved from Etherboot, and is maintained
by the Etherboot project. http://etherboot.org

%prep
%setup

%build
make -C src bin/gpxe.{dsk,iso,usb,lkrn,pxe}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_datadir/%name
install -pm0644 src/bin/gpxe.{dsk,iso,usb,lkrn,pxe} %buildroot%_datadir/%name

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README
%_datadir/%name

%changelog
* Mon May 31 2010 MBantz <martin dot bantz at gmail dot com> 1.0.1
- Adapted to PCLinuxOS from steven at nchc dot org dot tw

